:root {
  --font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica,
    Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
  --home-highlight-color: #03c4e8;
  --home-highlight-darker-color: #029dba;
  --home-highlight-fore-color: #fff;
  --home-bg: #edf5ff;
  --home-intro-bg: #edf5ff;
  --home-border-color: #c7e0ff;
  --home-primary-text-color: #191919;
  --home-secondary-text-color: #73879e;
  --home-card-shadow: 0px 30px 50px #d4e0ee;
  --home-box-bg: #fff;
  --home-linkbox-bg: #fff;
  --home-linkbox-border: 1px solid #c7e0ff;
  --home-linkbox-text-color: #191919;
  --home-linkbox-hover-bg: #e3f0ff;
  --home-header-bg: hsla(0, 0%, 100%, 0.85);
  --home-menu-link-text-color: #191919;
  --home-menu-link-hover-bg: #e3f0ff;
  --home-herobox-bg: #fff;
  --home-herobox-shadow: 0px 50px 100px rgba(212, 224, 238, 0.25);
  --home-herobox-strip-top-bg: linear-gradient(
    0deg,
    #edf5ff 1.9%,
    #d9eaff 50.44%,
    #edf5ff
  );
  --home-herobox-strip-bottom-bg: linear-gradient(
    90deg,
    #f2f8ff,
    #edf5ff 0.01%,
    #d9eaff 50%,
    #edf5ff
  );
  --home-herobox-logo-shadow: 00px 50px 100px #bacce2;
  --home-components-strip-bg: linear-gradient(90deg, #edf5ff 0.01%, #d9eaff);
  --home-blocks-bg: linear-gradient(
    180deg,
    rgba(237, 245, 255, 0),
    #d4e8fe 49.48%,
    #edf5ff
  );
  --home-blocks-block-bg: #ffffff8c;
  --home-blocks-block-shadow: -10px 4px 10px 0px #c5d3e782,
    -10px 4px 25px #a1c0eb91;
  --home-blocks-border-left: 5px solid #d0e5ff;
  --home-blocks-border-bottom: 7px solid #d0e5ff;
  --home-blocks-border: 1px solid #d0e5ff;
  --home-blocks-sidebar-bg: #e4f0ff;
  --home-blocks-list-bg: #ecf5ff;
  --home-blocks-main-bg: none;
  --home-blocks-main-border: 1px solid #d0e5ff;
  --home-blocks-item-bg: #e4f0ff;
  --home-blocks-image-bg: #c1dfff;
  --home-blocks-text-color: #c1dfff;
  --home-blocks-active-shadow: 0px 30px 50px 0px #d9eaff;
  --home-blocks-active-border-top: 1px solid #d7e9ff;
  --home-blocks-active-border-right: 1px solid #d7e9ff;
  --home-blocks-active-border-bottom: 6px solid #d7e9ff;
  --home-blocks-active-border-left: 4px solid #d7e9ff;
  --home-blocks-animation-shadow: 0px 30px 50px 10px #2e7bbc61;
  --home-blocks-tablebar-bg: #c1dfff;
  --home-blocks-bar-bg: #c1dfff;
  --home-blocks-bar-button-bg: #fff;
  --home-blocks-circle-bg: #c1dfff;
  --home-templates-bg: linear-gradient(
    180deg,
    #edf5ff,
    #d4e8fe 49.48%,
    #edf5ff
  );
  --home-templates-block-shadow: 0px 4.787564754486084px 10px 0px #b9d2f0;
  --home-templates-block-border-left: 5px solid #e9f3ff;
  --home-templates-block-border-bottom: 7px solid #e9f3ff;
}

body.landing-dark {
  --home-highlight-color: #03c4e8;
  --home-highlight-darker-color: #029dba;
  --home-highlight-fore-color: #263238;
  --bg-gradient-one: #030b17;
  --home-intro-bg: linear-gradient(180deg, #061730, #030b17);
  --hover-bf: #183e71;
  --home-primary-text-color: #fff;
  --home-secondary-text-color: #b6c4d6;
  --home-border-color: #183e71;
  --home-card-shadow: 0px 50px 100px rgba(0, 0, 0, 0.25);
  --home-box-bg: rgba(11, 33, 63, 0.55);
  --home-linkbox-bg: rgba(11, 33, 63, 0.55);
  --home-linkbox-border: 1px solid #183e71;
  --home-linkbox-text-color: #fff;
  --home-linkbox-hover-bg: rgba(11, 33, 63, 0.9);
  --home-header-bg: rgba(11, 33, 63, 0.65);
  --home-menu-link-text-color: #fff;
  --home-menu-link-hover-bg: rgba(11, 33, 63, 0.9);
  --home-herobox-bg: #0b213f;
  --home-herobox-shadow: 0px 50px 100px rgba(0, 0, 0, 0.25);
  --home-herobox-strip-top-bg: linear-gradient(
    360deg,
    rgba(3, 11, 23, 0),
    rgba(11, 37, 73, 0.913) 53.83%,
    rgba(7, 24, 48, 0) 101.32%
  );
  --home-herobox-strip-bottom-bg: linear-gradient(
    90deg,
    rgba(3, 11, 23, 0),
    #0c284e 50%,
    rgba(3, 11, 23, 0)
  );
  --home-herobox-logo-shadow: 0px 50px 100px 0px #000;
  --home-components-strip-bg: linear-gradient(
    90deg,
    rgba(3, 11, 23, 0),
    #071934
  );
  --home-blocks-bg: linear-gradient(180deg, #040b17, #061b38 58.33%, #030b17);
  --home-blocks-block-bg: #0b213f8c;
  --home-blocks-block-shadow: 0px 4.787564754486084px 10px 0px #0000001a,
    0px 4px 25px rgba(0, 0, 0, 0.288);
  --home-blocks-border-left: 5px solid #0e294d;
  --home-blocks-border-bottom: 7px solid #0e294d;
  --home-blocks-border: 1px solid #183e71;
  --home-blocks-sidebar-bg: #0d264a;
  --home-blocks-list-bg: #0c2242;
  --home-blocks-main-bg: #0b213f8c;
  --home-blocks-main-border: 1px solid #183e71;
  --home-blocks-item-bg: #0d264a;
  --home-blocks-image-bg: #102f5b;
  --home-blocks-text-color: #133667;
  --home-blocks-active-shadow: 0px 30px 50px 0px #00000049;
  --home-blocks-active-border-top: 1px solid #183e71;
  --home-blocks-active-border-right: 1px solid #183e71;
  --home-blocks-active-border-bottom: 6px solid #112d52;
  --home-blocks-active-border-left: 4px solid #183e71;
  --home-blocks-animation-shadow: 0px 30px 50px 20px #00000059;
  --home-blocks-tablebar-bg: #194686;
  --home-blocks-bar-bg: #15386b;
  --home-blocks-bar-button-bg: #0c2e56;
  --home-blocks-circle-bg: #15386b;
  --home-templates-bg: linear-gradient(
    180deg,
    #040b17,
    #061b38 58.33%,
    #030b17
  );
  --home-templates-block-shadow: 0px 4.787564754486084px 10px 0px #0000001a;
  --home-templates-block-border-left: 5px solid #0d2341;
  --home-templates-block-border-bottom: 7px solid #09182d;
}

* {
  margin: 0;
  padding: 0;
  font-family: var(--font-family);
}

.container {
  width: 85%;
  margin: auto;
  padding-top: 1rem;
}
header {
  background: var(--home-intro-bg);
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

nav ul li {
  list-style-type: none;
}

nav ul li a {
  color: var(--home-primary-text-color);
}

.nav-item-2 {
  display: grid;
  place-items: center;
  grid-template-columns: repeat(7, 0.4fr);
  gap: 10px;
}

.nav-item-2 li {
  border-radius: 10px;
  padding: 7px 21px;
}

.nav-item-2 li:hover {
  background-color: var(--home-linkbox-hover-bg);
}

.nav-item-2 .btn {
  padding: 7px 14px;
}
.nav-item-2 .btn {
  border: var(--home-linkbox-border);
}
.nav-item-2 img {
  width: 1.5rem;
  height: 1.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

a {
  text-decoration: none;
}

.section-1 {
  width: 100%;
  height: 100vh;
  /* background-color: var(--primary-bg); */
  position: relative;
}

.article-1 {
  position: relative;
  /* background-color: rebeccapurple; */
  width: 100%;
  height: 80vh;
  z-index: 2;
}

.article-3 {
  position: absolute;
  /* background-color: rebeccapurple; */
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 0;
}

.article-3__div-1 {
  position: absolute;
  width: 100%;
  height: 114px;
  background: var(--home-herobox-strip-bottom-bg);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: growAnimation 2.5s ease-in-out;
}

.article-3__div-2 {
  position: absolute;
  width: 114px;
  height: 100%;
  background: var(--home-herobox-strip-top-bg);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: growAnimation2 2.5s ease-in-out;
}

@keyframes growAnimation {
  0% {
    transform: translate(-50%, -50%) scaleX(0);
  }
  100% {
    transform: translate(-50%, -50%) scaleX(1);
  }
}

@keyframes growAnimation2 {
  0% {
    transform: translate(-50%, -50%) scaleY(0);
  }
  100% {
    transform: translate(-50%, -50%) scaleY(1);
  }
}

.center-panel {
  width: 380px;
  height: 70%;
  border: 1px solid var(--home-border-color);
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: -1;
  transition: height 1.5s, opacity 1.5s;
  transition-delay: 0.6s;
  border-radius: 9px;
  transform: translate(-50%, -50%);
  animation: growAnimation2 2.5s ease-in-out;
}

.lateral_panels {
  width: 12%;
  height: 35%;
  position: absolute;
  top: 50%;
  z-index: 1;
  transition: width 1s, opacity 1s, transform 1s;
  transform: translateY(-50%);
  transition-delay: 1s;
  border: 1px solid var(--home-border-color);
  opacity: 0;
}
.left-panel {
  position: absolute;
  opacity: 1;
  z-index: 1;
  border-right: transparent;
  border-radius: 9px 0 0 9px;
  transform: translate(200px, -50%);
  animation: scale_left 2.5s ease-in-out;
  left: 9%;
}

@keyframes scale_left {
  0% {
    transform: translate(0, 0) scaleY(0);
  }
  100% {
    transform: translate(200px, -50%) scaleY(1);
  }
}

.right-panel {
  position: absolute;
  opacity: 1;
  z-index: 1;
  border-left: transparent;
  border-radius: 0 9px 9px 0;
  transform: translate(-200px, -50%);
  animation: scale_right 2.5s ease-in-out;
  right: 9%;
}

@keyframes scale_right {
  0% {
    transform: translate(0, 0) scaleY(0);
  }
  100% {
    transform: translate(-200px, -50%) scaleY(1);
  }
}

.cards-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.cards {
  width: 60%;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.card-container {
  width: 10rem;
  display: flex;
  flex-direction: column;
  margin: 5px;
}

.card-item {
    --opacity:0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 10px 0 10px;
  padding: 40px 5px;
  border-radius: 20px;
  background: var(--home-herobox-bg);
  border: 1px solid var(--home-border-color);
  box-shadow: 0 50px 100px var(--home-herobox-shadow);
  color: var(--home-secondary-text-color);
  transition: height 1s 1.4s, opacity 1s 1.4s, border-color 0.3s;
  /* animation: scaleCard 2.5s ease-in-out .5s; */
  opacity: var(--opacity);
}

.card-item img {
  margin-bottom: 10px;
}
.card-item b {
  font-weight: 600;
  font-size: 13px;
}
.card-item p {
  font-size: 12px;
}

@keyframes scaleCard {
  0% {
    transform: scale(0);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

@media (prefers-color-scheme: dark) {
  body:not(.landing-ligth) {
    --home-highlight-color: #03c4e8;
    --home-highlight-darker-color: #029dba;
    --home-highlight-fore-color: #263238;
    --bg-gradient-one: #030b17;
    --home-intro-bg: linear-gradient(180deg, #061730, #030b17);
    --home-border-color: #183e71;
    --hover-bf: #183e71;
    --home-primary-text-color: #fff;
    --home-secondary-text-color: #b6c4d6;
    --home-card-shadow: 0px 50px 100px rgba(0, 0, 0, 0.25);
    --home-box-bg: rgba(11, 33, 63, 0.55);
    --home-linkbox-bg: rgba(11, 33, 63, 0.55);
    --home-linkbox-border: 1px solid #183e71;
    --home-linkbox-text-color: #fff;
    --home-linkbox-hover-bg: rgba(11, 33, 63, 0.9);
    --home-header-bg: rgba(11, 33, 63, 0.65);
    --home-menu-link-text-color: #fff;
    --home-menu-link-hover-bg: rgba(11, 33, 63, 0.9);
    --home-herobox-bg: #0b213f;
    --home-herobox-shadow: 0px 50px 100px rgba(0, 0, 0, 0.25);
    --home-herobox-strip-top-bg: linear-gradient(
      360deg,
      rgba(3, 11, 23, 0),
      rgba(11, 37, 73, 0.913) 53.83%,
      rgba(7, 24, 48, 0) 101.32%
    );
    --home-herobox-strip-bottom-bg: linear-gradient(
      90deg,
      rgba(3, 11, 23, 0),
      #0c284e 50%,
      rgba(3, 11, 23, 0)
    );
    --home-herobox-logo-shadow: 0px 50px 100px 0px #000;
    --home-components-strip-bg: linear-gradient(
      90deg,
      rgba(3, 11, 23, 0),
      #071934
    );
    --home-blocks-bg: linear-gradient(180deg, #040b17, #061b38 58.33%, #030b17);
    --home-blocks-block-bg: #0b213f8c;
    --home-blocks-block-shadow: 0px 4.787564754486084px 10px 0px #0000001a,
      0px 4px 25px rgba(0, 0, 0, 0.288);
    --home-blocks-border-left: 5px solid #0e294d;
    --home-blocks-border-bottom: 7px solid #0e294d;
    --home-blocks-border: 1px solid #183e71;
    --home-blocks-sidebar-bg: #0d264a;
    --home-blocks-list-bg: #0c2242;
    --home-blocks-main-bg: #0b213f8c;
    --home-blocks-main-border: 1px solid #183e71;
    --home-blocks-item-bg: #0d264a;
    --home-blocks-image-bg: #102f5b;
    --home-blocks-text-color: #133667;
    --home-blocks-active-shadow: 0px 30px 50px 0px #00000049;
    --home-blocks-active-border-top: 1px solid #183e71;
    --home-blocks-active-border-right: 1px solid #183e71;
    --home-blocks-active-border-bottom: 6px solid #112d52;
    --home-blocks-active-border-left: 4px solid #183e71;
    --home-blocks-animation-shadow: 0px 30px 50px 20px #00000059;
    --home-blocks-tablebar-bg: #194686;
    --home-blocks-bar-bg: #15386b;
    --home-blocks-bar-button-bg: #0c2e56;
    --home-blocks-circle-bg: #15386b;
    --home-templates-bg: linear-gradient(
      180deg,
      #040b17,
      #061b38 58.33%,
      #030b17
    );
    --home-templates-block-shadow: 0px 4.787564754486084px 10px 0px #0000001a;
    --home-templates-block-border-left: 5px solid #0d2341;
    --home-templates-block-border-bottom: 7px solid #09182d;
  }
}
